﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication1.Views
{
    public partial class Page1 : UserControl
    {

        public System.Collections.ObjectModel.ObservableCollection<SilverlightApplication1.Model.Request> Requests { get; set; }

        public Page1()
        {
            SilverlightApplication1.Model.Request r;

            this.Requests = new System.Collections.ObjectModel.ObservableCollection<Model.Request>();


            r = new Model.Request() { Flow = "Flow 1", RequestStatus = GPS.Status.RequestApproved };
            this.Requests.Add(r);
            r = new Model.Request() { Flow = "Flow 2", RequestStatus = GPS.Status.RequestCancel };
            this.Requests.Add(r); 
            r = new Model.Request() { Flow = "Flow 1", RequestStatus = GPS.Status.RequestChanged };
            this.Requests.Add(r); 
            r = new Model.Request() { Flow = "Flow 2", RequestStatus = GPS.Status.RequestApproved };
            this.Requests.Add(r); 
            r = new Model.Request() { Flow = "Flow 2", RequestStatus = GPS.Status.RequestApproved };
            this.Requests.Add(r);

            InitializeComponent();

            this.Loaded += Page1_Loaded;
        }

        void Page1_Loaded(object sender, RoutedEventArgs e)
        {
            this.RequestsGrid.ItemsSource = this.Requests;
        }

        private void RequestsGrid_CellControlAttached(object sender, Infragistics.Controls.Grids.CellControlAttachedEventArgs e)
        {
            if (e.Cell.Column.Key == "RequestStatus")
            {
                e.IsDirty = true;
            }
        }


    }
}
